import axios from '@/utils/http';
const base = process.env.VUE_APP_SERVER + '/auth';
const auth = {
    get(params: any) {
        return axios.get(`${base}/user/get?user_id=0`, {
        });
    },
    bankcard4c(params: any) {
        return axios.post(`${base}/user/bankcard4c`, {
            ...params,
        });
    },
    face(params: any) {
        // const { video_base64 }
        return axios.post(`${base}/user/face`, {
            ...params,
        });
    },
    banks(params: any) {
        return axios.get(`${base}/company/banks`, {
            ...params,
        });
    },
    info(params: any) {
        return axios.get(`${base}/company/info?user_id=0`, {});
    },
    basic(params: any) {
        return axios.post(`${base}/company/basic`, {
            ...params,
        });
    },
    bank(params: any) {
        return axios.post(`${base}/company/bank`, {
            ...params,
        });
    },
    bankNum(params: any) {
        return axios.post(`${base}/company/bankNum`, {
            ...params,
        });
    },
};
export default auth;
